UbuntuUpdates.org

Package "clamav"

Name: clamav

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • anti-virus utility for Unix - sendmail integration
  • anti-virus utility for Unix - test files

Latest version: 0.103.6+dfsg-0ubuntu0.18.04.1
Release: bionic (18.04)
Level: updates
Repository: universe

Links



Other versions of "clamav" in Bionic

Repository Area Version
base main 0.99.4+addedllvm-0ubuntu1
base universe 0.99.4+addedllvm-0ubuntu1
security universe 0.103.6+dfsg-0ubuntu0.18.04.1
security main 0.103.6+dfsg-0ubuntu0.18.04.1
updates main 0.103.6+dfsg-0ubuntu0.18.04.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 0.103.6+dfsg-0ubuntu0.18.04.1 2022-05-17 14:06:24 UTC

  clamav (0.103.6+dfsg-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * Updated to version 0.103.6 to fix security issues.
    - Drop debian/patches/Fix-ck_assert_msg-call.patch, included in new
      version
    - debian/rules: bump CL_FLEVEL to 127.
    - debian/libclamav9.symbols: updated CLAMAV_PRIVATE symbols to new
      version.
    - CVE-2022-20770, CVE-2022-20771, CVE-2022-20785, CVE-2022-20792,
      CVE-2022-20796

 -- Marc Deslauriers <email address hidden> Thu, 12 May 2022 12:40:40 -0400

Source diff to previous version
CVE-2022-20770 On April 20, 2022, the following vulnerability in the ClamAV scanning library versions 0.103.5 and earlier and 0.104.2 and earlier was disclosed: A v
CVE-2022-20771 On April 20, 2022, the following vulnerability in the ClamAV scanning library versions 0.103.5 and earlier and 0.104.2 and earlier was disclosed: A v
CVE-2022-20785 On April 20, 2022, the following vulnerability in the ClamAV scanning library versions 0.103.5 and earlier and 0.104.2 and earlier was disclosed: A v
CVE-2022-20796 On May 4, 2022, the following vulnerability in the ClamAV scanning library versions 0.103.5 and earlier and 0.104.2 and earlier was disclosed: A vuln

Version: 0.103.5+dfsg-0ubuntu0.18.04.1 2022-01-18 14:07:15 UTC

  clamav (0.103.5+dfsg-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * Updated to version 0.103.5 to fix security issue.
    - Sync most of packaging with 0.103.5+dfsg-1.
    - CVE-2022-20698

 -- Marc Deslauriers <email address hidden> Mon, 17 Jan 2022 08:50:58 -0500

Source diff to previous version
CVE-2022-20698 A vulnerability in the OOXML parsing module in Clam AntiVirus (ClamAV) Software version 0.104.1 and LTS version 0.103.4 and prior versions could allo

Version: 0.103.2+dfsg-0ubuntu0.18.04.3 2022-01-13 12:06:27 UTC

  clamav (0.103.2+dfsg-0ubuntu0.18.04.3) bionic; urgency=medium

  * Deploy apparmor profile before first start of freshclam daemon.
    - d/control: Add dh-apparmor as a build dependency
    - d/rules: Add dh install override to deploy apparmor profiles
    - d/clamav-daemon.postinst.in: Remove old apparmor profile deployment
    - d/clamav-freshclam.postinst.in: Remove old apparmor profile deployment
    Thanks to Sebastian Andrzej Siewior <email address hidden>.
    (LP: #1925182)

 -- Lena Voytek <email address hidden> Mon, 29 Nov 2021 10:13:20 -0700

Source diff to previous version
1925182 ERROR: Can't open /var/log/clamav/freshclam.log in append mode (check permissions!)

Version: 0.103.2+dfsg-0ubuntu0.18.04.2 2021-05-04 00:06:25 UTC

  clamav (0.103.2+dfsg-0ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY REGRESSION: clamdscan - MULTISCAN parameter causes
    Segmentation fault.
    (LP: #1926300)
    - debian/patches/lp_1926300_multiscan_param_segfault.patch: fix
      --fdpass -m & ExcludePath crash in clamd/scanner.c,
      libclamav/others.h, libclamav/others_common.c,
      unit_tests/check_clamd.c.

 -- Leonidas Da Silva Barbosa <email address hidden> Thu, 29 Apr 2021 08:33:37 -0300

Source diff to previous version
1926300 clamdscan - MULTISCAN parameter causes Segmentation fault error

Version: 0.103.2+dfsg-0ubuntu0.18.04.1 2021-04-19 22:07:57 UTC

  clamav (0.103.2+dfsg-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * Updated to version 0.103.2 to fix security issues.
    - Sync most of packaging with 0.103.2+dfsg-1.
    - CVE-2021-1252, CVE-2021-1404, CVE-2021-1405

 -- Marc Deslauriers <email address hidden> Thu, 15 Apr 2021 12:48:39 -0400

CVE-2021-1252 A vulnerability in the Excel XLM macro parsing module in Clam AntiVirus (ClamAV) Software versions 0.103.0 and 0.103.1 could allow an unauthenticated
CVE-2021-1404 A vulnerability in the email parsing module in Clam AntiVirus (ClamAV) Software version 0.103.0 and all prior versions could allow an unauthenticated
CVE-2021-1405 A vulnerability in the PDF parsing module in Clam AntiVirus (ClamAV) Software versions 0.103.0 and 0.103.1 could allow an unauthenticated, remote att



About   -   Send Feedback to @ubuntu_updates